Skip to content
Developer

Media Files

Media6 EndpointsMedia / Media Files

This method will get all MediaFileInfo Objects

GET/api/media/media/file

Query parameters

namestringinternal name | Requires access right: PUBLIC, LOGGED_IN, SCOPE
publicTitlestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicSubtitlestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicKeywordsstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicDatestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicOrderstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicSeasonstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicFileMimestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addonData_customFilterstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
archivedboolean
generatedId3boolean
idinteger
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of MediaFileInfo objectsarray<MediaFileInfo>

Show fields (31)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • archivedboolean

    The file is archived.

  • namestring

    internal name

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_urlstring

    URL of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • generated_id3boolean

    ID3 tags were generated from the file.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/media/file \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_file_url": "https://vynst.de",
    "public_file_name": "Beispiel",
    "media_file_type": "string",
    "archived": true,
    "public_subtitle": "string"
  }
]

Add a new MediaFileInfo

POST/api/media/media/{groupIdentifier}/file

Path parameters

groupIdentifierrequiredstring

Request body application/json

  • dataMediaFileInfo2

Responses

200Add a new MediaFileInfoMediaFileInfo

Show fields (31)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • archivedboolean

    The file is archived.

  • namestring

    internal name

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_urlstring

    URL of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • generated_id3boolean

    ID3 tags were generated from the file.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/media/42/file \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_file_url": "https://vynst.de",
  "public_file_name": "Beispiel",
  "media_file_type": "string",
  "archived": true,
  "public_subtitle": "string"
}

This method will get a single MediaFileInfo with the given id

GET/api/media/media/{fileIdentifier}/file

Path parameters

fileIdentifierrequiredstring

Responses

200Returns a single MediaFileInfoMediaFileInfo

Show fields (31)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • archivedboolean

    The file is archived.

  • namestring

    internal name

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_urlstring

    URL of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • generated_id3boolean

    ID3 tags were generated from the file.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/media/42/file \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_file_url": "https://vynst.de",
  "public_file_name": "Beispiel",
  "media_file_type": "string",
  "archived": true,
  "public_subtitle": "string"
}

Update a MediaFileInfo

PUT/api/media/media/{fileIdentifier}/file

Path parameters

fileIdentifierrequiredstring

Request body application/json

  • dataMediaFileInfo2

Responses

200Update a MediaFileInfoMediaFileInfo

Show fields (31)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • archivedboolean

    The file is archived.

  • namestring

    internal name

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_urlstring

    URL of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • generated_id3boolean

    ID3 tags were generated from the file.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/media/42/file \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_file_url": "https://vynst.de",
  "public_file_name": "Beispiel",
  "media_file_type": "string",
  "archived": true,
  "public_subtitle": "string"
}

Update a MediaFileInfo

PATCH/api/media/media/{fileIdentifier}/file

Path parameters

fileIdentifierrequiredstring

Request body application/json

  • dataMediaFileInfo2

Responses

200Update a MediaFileInfoMediaFileInfo

Show fields (31)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • archivedboolean

    The file is archived.

  • namestring

    internal name

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_urlstring

    URL of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • generated_id3boolean

    ID3 tags were generated from the file.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/media/42/file \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_file_url": "https://vynst.de",
  "public_file_name": "Beispiel",
  "media_file_type": "string",
  "archived": true,
  "public_subtitle": "string"
}

Returns a list of media files for a single media group

GET/api/media/mediagroup/{groupIdentifier}/entries

Path parameters

groupIdentifierrequiredstring

Query parameters

namestringinternal name | Requires access right: PUBLIC, LOGGED_IN, SCOPE
publicTitlestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicSubtitlestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicKeywordsstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicDatestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicOrderstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicSeasonstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
publicFileMimestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
addonData_customFilterstringRequires access right: PUBLIC, LOGGED_IN, SCOPE
archivedboolean
generatedId3boolean
idinteger
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of media files for a single media grouparray<MediaFileInfo3>

Show fields (26)
  • idinteger

    Primary key of the media file. Internal ID.

  • media_file_typestring

    Type of the media file, for example audio, video or image.

  • public_titlestring

    Title shown to the public.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_linkstring

    Public link to the file.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the thumbnail.

  • public_keywordsstring

    Keywords of the file.

  • public_file_namestring

    Name of the file.

  • public_file_mimestring

    MIME type of the file.

  • public_file_sizeinteger

    Size of the file in bytes.

  • public_durationinteger

    Duration of audio or video in seconds.

  • public_dimension_xinteger

    Width of the image or video in pixels.

  • public_dimension_yinteger

    Height of the image or video in pixels.

  • public_datestring (date-time)

    Publication date of the file.

  • public_orderinteger

    Order of the file within its group.

  • public_episode_typestring

    Episode type for podcasts, for example full or trailer.

  • public_seasonstring

    Season for podcasts.

  • guidstring

    Global unique ID of the file, used in feeds.

  • display_start_hourinteger

    Hour from which the file is shown.

  • display_end_hourinteger

    Hour until which the file is shown.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediagroup/42/entries \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_file_name": "Beispiel",
    "media_file_type": "string",
    "public_subtitle": "string",
    "public_link": "string",
    "public_author": "string",
    "public_summary": "string",
    "public_explicit": true
  }
]